Bug 611880 - Fedora 12 network install crashes at network manager initialization
Fedora 12 network install crashes at network manager initialization
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 14:53 EDT by Philip Walden
Modified: 2013-01-10 01:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:27:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
here is camera image of trace. (193.98 KB, image/jpeg)
2010-07-06 14:53 EDT, Philip Walden
no flags Details

  None (edit)
Description Philip Walden 2010-07-06 14:53:34 EDT
Created attachment 429856 [details]
here is camera image of trace.

Description of problem:
I have an F11 on an old box 686 athlon with an old nVidia Corporation NV5 [RIVA TNT2/TNT2 Pro] (rev 15) AGP. I am trying to do a network install upgrade to F12.

I cannot get it to display the install menus from the network install disk. I get the initial screen with the install, basic video, repair, etc choices, but after I select the install/upgrade option, I see the CD drive read but the LCD monitor display never appears.

I was able to use this disk on two other computers successfully. I then added the vga=0x318 boot option and I got me to the next set of non-graphical (colored-curses?) windows!

After selecting the keyboard languages, it displayed a selection box to choose the upgrade of the F11 installation. I selected the upgrade, and then it asked which NIC to enable for the network install. That appeared to work. It output a message about starting NetworkManager and but then a Kernel Panic and crash trace flashed up the screen.

I could not get the whole trace as most of it scrolled up and out the screen. but here is camera image of it below. Sorry, had to crunch and rotate it to get the forum uploader to take it.

Version-Release number of selected component (if applicable):
F12 network install

How reproducible:


Steps to Reproduce:
1. From F12 network install boot screen select the install/upgrade option, press TAB to modify boot
2. append vga=0x318 to boot options, press continue
3. select the keyboard language, Press continue
4. choose the upgrade of the F11 installation, press continue
5. select the only eth0 for initialization, press continue
6. see output of a message about starting NetworkManager and but then a Kernel Panic and crash trace flashes up the screen.
  
Actual results:
Kernel Panic and crash trace flashes up the screen.

Expected results:
Expect to see next install screen

Additional info:
photo of screen dump
Comment 1 Philip Walden 2010-07-07 16:24:26 EDT
After considerable sleuthing about, if I added nomodeset vga=0x318 to the F12 network install boot options, I was then able to get past the kernel panic and install F12. So it must have something to do with the nouveau kernel driver crashing.

Subsequent boots on the F12 shows nouveau having problems. I opened a new bug on this problem.https://bugzilla.redhat.com/show_bug.cgi?id=612301 on this.

I also tried the F13 network install disk, but I could not get the F13 network install to go beyond the install/upgrade screen, even with the nomodeset vga=0x318 options added.
Comment 2 Bug Zapper 2010-11-03 08:23:36 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 08:27:37 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.